/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#include	<stdlib.h>
#include	"mlong_char.h"
#include	"memory_routine.h"

void gc_text();

L_CHAR *
ll_copy_mstr(L_CHAR * str)
{
L_CHAR * ret;

	ret = mmalloc((l_strlen(str)+1)*sizeof(L_CHAR),gc_text);
	l_strcpy(ret,str);
	return ret;
}
